> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice Preview



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/voice/voice_preview
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/voice/voice_preview:
    get:
      tags:
        - Voice
      summary: Get Voice Preview
      operationId: get_voice_preview_api_v1_voice_voice_preview_get
      parameters:
        - name: voicetts_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Voicetts Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_VoiceTTSRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_VoiceTTSRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/VoiceTTSRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[VoiceTTSRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceTTSRead:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        locale_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Locale Code
        voice:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice
        voicetts_provider:
          anyOf:
            - $ref: '#/components/schemas/IVoiceTTSProviderEnum'
            - type: 'null'
        credits:
          anyOf:
            - type: number
            - type: 'null'
          title: Credits
          default: 1
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          default: true
        language_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Group
        id:
          type: string
          format: uuid
          title: Id
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
      type: object
      required:
        - name
        - locale_code
        - voice
        - voicetts_provider
        - language_group
        - id
        - attributes
      title: VoiceTTSRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IVoiceTTSProviderEnum:
      type: string
      enum:
        - azure
        - elevenlabs
        - deepgram
        - cartesia
        - playht
      title: IVoiceTTSProviderEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````